%define anolis_release 4

%global so_major_version 2
%global so_minor_version 0
%global so_patch_version 1

Name:           sysfsutils
Version:        2.1.1
Release:        %{anolis_release}%{?dist}
Summary:        Utilities for interfacing with sysfs
URL:            https://github.com/linux-ras/sysfsutils
License:        GPLv2

Source0:        https://github.com/linux-ras/sysfsutils/archive/v%{version}.tar.gz

Patch1:         0001-modify-my_strncat-function.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make
BuildRequires:  gcc

%description
This package's purpose is to provide a set of utilities for interfacing
with sysfs.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n libsysfs
Summary: Shared library for interfacing with sysfs
License: LGPLv2+

%description -n libsysfs
Library used in handling linux kernel sysfs mounts and their various files.

%package -n libsysfs-devel
Summary: Static library and headers for libsysfs
License: LGPLv2+
Requires: libsysfs = %{version}-%{release}

%description -n libsysfs-devel
libsysfs-devel provides the header files and static libraries required
to build programs using the libsysfs API.

%prep
%autosetup -p1

%build
./autogen
%configure --disable-static
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name "*.la" -delete

%generate_compatibility_deps

%ldconfig_scriptlets -n libsysfs

%files
%license COPYING cmd/GPL
%doc CREDITS docs/libsysfs.txt
%{_bindir}/systool
%{_mandir}/man1/systool.1.zst
%{abidir}/systool-option.list

%files doc
%doc AUTHORS README 

%files -n libsysfs
%dir %{abidir}
%license COPYING lib/LGPL
/%{_libdir}/libsysfs.so.%{so_major_version}
/%{_libdir}/libsysfs.so.%{so_major_version}.%{so_minor_version}.%{so_patch_version}
%{abidir}/libsysfs.dump

%files -n libsysfs-devel
%dir %{_includedir}/sysfs
%{_includedir}/sysfs/libsysfs.h
%{_includedir}/sysfs/dlist.h
/%{_libdir}/libsysfs.so
/%{_libdir}/pkgconfig/libsysfs.pc


%changelog
* Tue Sep 10 2024 songliang <YS.songliang@h3c.com> - 2.1.1-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:
	The meaning of the "len" parameter in the my_strncat function is the size limit for copying characters from "from", not the size limit for "to" after copying.
        Also, the "#define safestrcat(to, from) my_strncat(to, from, sizeof(to) - strlen(to) - 1)" has already imposed a limit on max based on the size of "to".
        Modify the function to prevent truncation of content when too many bytes are passed to the my_strcat function.

* Mon Mar 20 2023 Guyu Wang <guyu.wgy@linux.alibaba.com> - 2.1.1-4
- Rename man file from systool.1.gz to systool.1.zst

* Thu Oct 20 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.1-3
- optimise spec file

* Fri Sep 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.1.1-2
- add doc package

* Wed Mar 09 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.1.1-1
- init from upstream 2.1.1
